<?xml version="1.0"?>

<?xml-stylesheet href="chrome://global/skin/" type="text/css"?>

<window id="msgBox" width="1400" height="380" title="Constraint Manager flow" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" onload="msgBox.Initialize();">

    <script type="application/javascript" src="chrome://jslib/content/jslib.js"/>
    <script type="application/javascript" src="chrome://jslib/content/io/fileUtils.js"/>
    <script type="application/javascript" src="chrome://jslib/content/io/file.js"/>
    <script type="application/javascript" src="chrome://msgBox/content/main.js"/>

    <commandset>
        <command id="help-cmd" oncommand="msgBox.Help();"/>
    </commandset>

    <keyset>
        <key id="help-key" keycode="VK_F1" command="help-cmd"/>
    </keyset>

    <box orient="horizontal" flex="0">
        <box orient="vertical" flex="0">
            <separator/>
            <label value="Error: "/>
        </box>        
        <box orient="vertical" pack="center" flex="0">
            <separator/>
            <label value="CMFBC-1: The schematic and the layout constraints were not synchronized as the changes done since the last sync up could not be reconciled."/>
            <label value="Syncing the current version of the schematic or layout databases with a previous version would result in this issue."/>
            <label value="The  constraint difference report is displayed. Continuing with “changes-only” processing may result in incorrect constraint updates."/>
            <separator/>
        </box>
        <label value=""/>
    </box>
    <label value="View the report and select one of the following synchronization options:"/>
    <box orient="horizontal">
        <spacer width="100"/>
        <radiogroup id="options-radio-grp" oncommand="document.getElementById('ok-btn').setAttribute('disabled', 'false');">
            <radio label="Exit and manually locate the previously synced-up copies of the layout or schematic databases, and run the flow again."/>
            <radio label="Update constraints between schematic and layout. You may need to manually revert the incorrect modifications."/>
            <radio label="Do NOT update constraints. Based on the constraint difference report, manually update the necessary changes."/>
        </radiogroup>
    </box>
    <spacer flex="1"/>
    <box orient="horizontal" pack="end">
        <button id="ok-btn" label="OK" disabled="true" oncommand="msgBox.OK();"/>
        <spacer width="100"/>
        <button label="Help" command="help-cmd"/>
    </box>
    <spacer height="10"/>
</window>
